> ## Documentation Index
> Fetch the complete documentation index at: https://apidoc.ovrsea.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch a purchase order

> Fetch a purchase order with its reference



## OpenAPI

````yaml /openapi.json get /v1/purchaseOrders/{reference}
openapi: 3.1.0
info:
  title: OVRSEA API
  version: 1.3.2
servers:
  - url: https://api.cf.ovrsea.com
security: []
paths:
  /v1/purchaseOrders/{reference}:
    get:
      tags:
        - Purchase Orders
      summary: Fetch a purchase order
      description: Fetch a purchase order with its reference
      parameters:
        - schema:
            type: string
          in: path
          name: reference
          required: true
      responses:
        '200':
          description: Purchase order found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PurchaseOrder'
        '404':
          description: No purchase order found
          content:
            application/json:
              schema:
                description: No purchase order found
                type: object
components:
  schemas:
    PurchaseOrder:
      type: object
      modelName: PurchaseOrder
      properties:
        po_number:
          type: string
          example: PO5792303
        supplier_name:
          type: string
          description: Supplier name as per client convention
          example: Detroit Factory
        purchase_order_lines:
          type: array
          items:
            type: object
            properties:
              reference:
                example: 'Delivery #1'
                type: string
              product:
                type: object
                properties:
                  sku:
                    type: string
                    example: REF0123458
                  name:
                    type: string
                    example: blue t-shirt
                  hs_code:
                    type: string
                    example: '96032930'
                  description:
                    type: string
                    example: blue shirt with a T shape
                  is_hazardous:
                    type: boolean
                    default: 'false'
                  hazardous_description:
                    type: string
                    example: UN1993
                  custom_parameters:
                    type: array
                    description: Array of up to 3 custom parameters
                    items:
                      type: object
                      properties:
                        name:
                          type: string
                          example: parameter1
                        value:
                          type: string
                          example: value1
              ordered_quantity:
                type: number
                example: 500
              unit_price:
                $ref: '#/components/schemas/Price'
              assigned_order_lines:
                type: array
                items:
                  type: object
                  properties:
                    ovrsea_shipment_id:
                      type: string
                      example: BATE
                    shipment_status:
                      type: string
                      enum:
                        - booking_request
                        - awaiting_booking
                        - booked
                        - draft
                        - in_progress
                        - finished
                        - cancelled
                    assigned_quantity:
                      type: number
                      example: 200
                    shipped_order_lines:
                      type: array
                      items:
                        type: object
                        properties:
                          container_number:
                            type: string
                            example: HLCU1234567
                          shipped_quantity:
                            type: number
                            example: 150
                          packaging_total_volume:
                            type: number
                            example: 5
                          number_of_packages:
                            type: number
                            example: 10
                          packaging_type:
                            type: string
                            example: box
                          net_weight:
                            type: number
                            example: 100
                          gross_weight:
                            type: number
                            example: 110
                          volume_unit:
                            type: string
                            example: m3
                          weight_unit:
                            type: string
                            example: kg
        desired_ex_factory_date:
          $ref: '#/components/schemas/SimpleDate'
        desired_delivery_date:
          $ref: '#/components/schemas/SimpleDate'
        custom_parameters:
          type: array
          description: Array of up to 6 custom parameters
          items:
            type: object
            properties:
              name:
                type: string
                example: parameter1
              value:
                type: string
                example: value1
    Price:
      modelName: Price
      type: object
      properties:
        amount:
          type: number
          format: float
          example: 150357.99
        currency:
          type: string
          enum:
            - AED
            - AUD
            - BHD
            - BRL
            - CAD
            - CHF
            - CNY
            - DKK
            - EUR
            - GBP
            - HKD
            - IDR
            - INR
            - JPY
            - MXN
            - KRW
            - KWD
            - MYR
            - NOK
            - NZD
            - PLN
            - SEK
            - SGD
            - THB
            - TND
            - TWD
            - USD
            - XOF
            - XPF
            - ZAR
          example: USD
    SimpleDate:
      modelName: SimpleDate
      type: string
      example: '2021-10-11'

````